Skip to main content
POST
/
v2
/
models
/
azure-foundry
/
deployments
cURL
curl --request POST \
  --url https://api.orq.ai/v2/models/azure-foundry/deployments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "api_key": "<string>",
  "base_url": "<string>",
  "provider": "<string>",
  "api_version": "<string>"
}
'
{
  "deployments": [
    {
      "id": "<string>",
      "model": "<string>",
      "master_data": {
        "has_functions": true,
        "id": "<string>",
        "input_cost": 123,
        "model_developer": "<string>",
        "model_family": "<string>",
        "model_id": "<string>",
        "model_type": "<string>",
        "output_cost": 123,
        "parameters": [
          "<unknown>"
        ],
        "metadata": {}
      }
    }
  ],
  "region": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
api_key
string
required
base_url
string
required
provider
string
required
api_version
string

Response

Azure Foundry deployments listed

deployments
object[] | null
required
region
string
required